﻿<%@ page language="C#" autoeventwireup="true" masterpagefile="~/MasterFile/TimeCheck.master" inherits="Transactions_TA_UI_Transactions_MonthClosurePreview, App_Web_olxsnptx" %>

<%@ Register Src="../UserControls/TA_uc_OrgLevelFilter_Updated.ascx" TagName="TA_uc_OrgLevel_Filter"
    TagPrefix="uc1" %>
<asp:Content ID="conMonthClosurePreview" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <div class="content-header">
        <h1 style="background-image: url(../dist/img/month-Close.png); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_Header" runat="server" Text="Month Closure Preview"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-12">
                    <h5>
                        <asp:Label ID="lblMonthClosure" runat="server" Style="padding-left: 20px;padding-right: 20px"></asp:Label></h5>
                    <input id="Hidden1" type="hidden" value='<% Response.Write(Convert.ToString(Session["IDateFormat"])); %>' />
                </div>
            </div>
        </div>
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row">
                    <div id="divEmployeeDetails" runat="server">
                        <div class="form-group">
                            <div class="col-md-12">
                                <div class="col-md-2">
                                    <asp:Label ID="lblEmployeeName" runat="server"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <asp:TextBox onpaste="return true" ID="txtEmployeeName" runat="server" CssClass="form-control"
                                        onkeypress="return acceptNames(event,this)" MaxLength="50"></asp:TextBox>
                                </div>
                                <div class="col-md-1">
                                </div>
                                <div class="col-md-2">
                                    <asp:Label ID="lblEmployeeId" runat="server"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <asp:TextBox onpaste="return true" ID="txtEmployeeId" runat="server" CssClass="form-control"
                                        onkeypress="return character_number_nospace(event,this)" MaxLength="15"></asp:TextBox>
                                    <input id="Hidden2" type="hidden" value='<% Response.Write(Session["ITimeFormat"].ToString()); %>' />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-5">
                    </div>
                    <div class="col-md-6">
                        <div class="pull-right-button">
                            <asp:LinkButton ID="btn_View" CssClass="btn save-btn fa-eye" runat="server"
                                Text="VIEW" OnClick="btn_View_Click" CausesValidation="false" />
                            <asp:LinkButton ID="btnBack" CssClass="btn save-btn fa-angle-left" runat="server"
                                OnClick="btnBack_Click" />
                        </div>
                    </div>
                    <div id="divEmployeeGrid" runat="server">
                        <div class="col-md-12" style="margin-top: 15px">
                            <div class="table-responsive">
                                <asp:GridView ID="grvPayrollProcessDetails" CssClass="table das-table1" runat="server"
                                    AllowPaging="true" AllowSorting="true" AutoGenerateColumns="False" OnSorting="grvPayrollProcessDetails_Sorting"
                                    OnPageIndexChanged="grvPayrollProcessDetails_PageIndexChanged" OnPageIndexChanging="grvPayrollProcessDetails_PageIndexChanging">
                                    <Columns>
                                        <asp:TemplateField HeaderText="Employee Id" SortExpression="Employee_Code_Id" HeaderStyle-CssClass="empheader"
                                            ItemStyle-CssClass="table-icons">
                                            <ItemTemplate>
                                                <asp:Label ID="lblEmployeeId" Text='<%# Eval("Employee_Code_Id") %>' runat="server"></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Employee Name" SortExpression="EmployeeName" HeaderStyle-CssClass="empheader"
                                            ItemStyle-CssClass="table-icons">
                                            <ItemTemplate>
                                                <asp:Label ID="lblEmpName" Text='<%# Eval("EmployeeName") %>' runat="server"></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Hours Worked" SortExpression="HrsWork" HeaderStyle-CssClass="empheader"
                                            ItemStyle-CssClass="table-icons">
                                            <ItemTemplate>
                                                <asp:Label ID="lblHrsWork" Text='<%# Eval("HrsWork") %>' runat="server"></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Normal OT" SortExpression="NormOT" HeaderStyle-CssClass="empheader"
                                            ItemStyle-CssClass="table-icons">
                                            <ItemTemplate>
                                                <asp:Label ID="lblNormOT" Text='<%# Eval("NormOT") %>' runat="server"></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Weekly Off OT" SortExpression="OffOT" HeaderStyle-CssClass="empheader"
                                            ItemStyle-CssClass="table-icons">
                                            <ItemTemplate>
                                                <center>
                                                    <asp:Label ID="lblOffOT" Text='<%# Eval("OffOT") %>' runat="server"></asp:Label>
                                                </center>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Holiday OT" SortExpression="HolOT" HeaderStyle-CssClass="empheader"
                                            ItemStyle-CssClass="table-icons">
                                            <ItemTemplate>
                                                <center>
                                                    <asp:Label ID="lblHolOT" Text='<%# Eval("HolOT") %>' runat="server"></asp:Label>
                                                </center>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Late In Hours" SortExpression="LateIn" HeaderStyle-CssClass="empheader"
                                            ItemStyle-CssClass="table-icons">
                                            <ItemTemplate>
                                                <center>
                                                    <asp:Label ID="lblLateIn" Text='<%# Eval("LateIn") %>' runat="server"></asp:Label>
                                                </center>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Early Out Hours" SortExpression="EarlyOut" HeaderStyle-CssClass="empheader"
                                            ItemStyle-CssClass="table-icons">
                                            <ItemTemplate>
                                                <center>
                                                    <asp:Label ID="lblEarlyOut" Text='<%# Eval("EarlyOut") %>' runat="server"></asp:Label>
                                                </center>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Present Days" SortExpression="PresentDays" HeaderStyle-CssClass="empheader"
                                            ItemStyle-CssClass="table-icons">
                                            <ItemTemplate>
                                                <center>
                                                    <asp:Label ID="lblPresentDays" Text='<%# Eval("PresentDays") %>' runat="server"></asp:Label>
                                                </center>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Leave Days" SortExpression="LeaveDays" HeaderStyle-CssClass="empheader"
                                            ItemStyle-CssClass="table-icons">
                                            <ItemTemplate>
                                                <center>
                                                    <asp:Label ID="lblLeaveDays" Text='<%# Eval("LeaveDays") %>' runat="server"></asp:Label>
                                                </center>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Holidays" SortExpression="Holidays" HeaderStyle-CssClass="empheader"
                                            ItemStyle-CssClass="table-icons">
                                            <ItemTemplate>
                                                <center>
                                                    <asp:Label ID="lblHolidays" Text='<%# Eval("Holidays") %>' runat="server"></asp:Label>
                                                </center>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Absent Days" SortExpression="AbsentDays" HeaderStyle-CssClass="empheader"
                                            ItemStyle-CssClass="table-icons">
                                            <ItemTemplate>
                                                <center>
                                                    <asp:Label ID="lblAbsentDays" Text='<%# Eval("AbsentDays") %>' runat="server"></asp:Label>
                                                </center>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="LOP Days" SortExpression="LOPDays" HeaderStyle-CssClass="empheader"
                                            ItemStyle-CssClass="table-icons">
                                            <ItemTemplate>
                                                <center>
                                                    <asp:Label ID="lblLOPDays" Text='<%# Eval("LOPDays") %>' runat="server"></asp:Label>
                                                </center>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Permission Hours" SortExpression="TotalPermissionHours"
                                            HeaderStyle-CssClass="empheader" ItemStyle-CssClass="table-icons">
                                            <ItemTemplate>
                                                <center>
                                                    <asp:Label ID="lblTotalPermissionHours" Text='<%# Eval("TotalPermissionHours") %>'
                                                        runat="server"></asp:Label>
                                                </center>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                    </Columns>
                                    <EmptyDataTemplate>
                                        <asp:Label ID="lblNoRecords" runat="server" OnLoad="GetEmptyText"></asp:Label>
                                    </EmptyDataTemplate>
                                    <RowStyle Height="30px" CssClass="table-bg" BorderColor="#C5DFFC" />
                                    <PagerStyle Font-Overline="False" HorizontalAlign="Right" CssClass="GridPager" />
                                    <PagerSettings FirstPageText="<<" LastPageText=">>" Mode="NumericFirstLast" NextPageText=">"
                                        PreviousPageText="<" />
                                    <AlternatingRowStyle BackColor="white" />
                                    <HeaderStyle CssClass="empheader" />
                                </asp:GridView>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
